=======================
 Cliff Class Reference
=======================

Application
===========

App
---

.. autoclass:: cliff.app.App
   :members:

InteractiveApp
--------------

.. autoclass:: cliff.interactive.InteractiveApp
   :members:

CommandManager
--------------

.. autoclass:: cliff.commandmanager.CommandManager
   :members:

Command
-------

.. autoclass:: cliff.command.Command
   :members:

CommandHook
-----------

.. autoclass:: cliff.hooks.CommandHook
   :members:

ShowOne
-------

.. autoclass:: cliff.show.ShowOne
   :members:

Lister
------

.. autoclass:: cliff.lister.Lister
   :members:

Formatting Output
=================

Formatter
---------

.. autoclass:: cliff.formatters.base.Formatter
   :members:

ListFormatter
-------------

.. autoclass:: cliff.formatters.base.ListFormatter
   :members:

SingleFormatter
---------------

.. autoclass:: cliff.formatters.base.SingleFormatter
   :members:
